Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.external.javadoc.optionfile
Class JavadocOptionFile

    java.lang.Object
      org.gradle.external.javadoc.optionfile.JavadocOptionFile

    public class JavadocOptionFile

extends Object

Constructor Summary
`JavadocOptionFile()`

Method Summary
`JavadocOptionFileOption<Boolean>` | `addBooleanOption(String option)`
`JavadocOptionFileOption<Boolean>` | `addBooleanOption(String option, boolean value)`
`
`<T> JavadocOptionFileOption<T>`
` | `addEnumOption(String option)`
`
`<T> JavadocOptionFileOption<T>`
` | `addEnumOption(String option, T value)`
`JavadocOptionFileOption<File>` | `addFileOption(String option)`
`JavadocOptionFileOption<File>` | `addFileOption(String option, File value)`
`JavadocOptionFileOption<List<String>>` | `addMultilineStringsOption(String option)`
`
`<T> JavadocOptionFileOption<T>`
` | `addOption(JavadocOptionFileOption<T> option)`
`JavadocOptionFileOption<List<File>>` | `addPathOption(String option)`
`JavadocOptionFileOption<List<File>>` | `addPathOption(String option, String joinBy)`
`JavadocOptionFileOption<String>` | `addStringOption(String option)`
`JavadocOptionFileOption<String>` | `addStringOption(String option, String value)`
`JavadocOptionFileOption<List<String>>` | `addStringsOption(String option)`
`JavadocOptionFileOption<List<String>>` | `addStringsOption(String option, String joinBy)`
`OptionLessJavadocOptionFileOption<List<String>>` | `getSourceNames()`
`void` | `write(File optionFile)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavadocOptionFile

    public JavadocOptionFile()

Method Detail

### getSourceNames

    public OptionLessJavadocOptionFileOption<List<String>> getSourceNames()

### addOption

    public <T> JavadocOptionFileOption<T> addOption(JavadocOptionFileOption<T> option)

### addStringOption

    public JavadocOptionFileOption<String> addStringOption(String option)

### addStringOption

    public JavadocOptionFileOption<String> addStringOption(String option,
                                                           String value)

### addEnumOption

    public <T> JavadocOptionFileOption<T> addEnumOption(String option)

### addEnumOption

    public <T> JavadocOptionFileOption<T> addEnumOption(String option,
                                                        T value)

### addPathOption

    public JavadocOptionFileOption<List<File>> addPathOption(String option)

### addPathOption

    public JavadocOptionFileOption<List<File>> addPathOption(String option,
                                                             String joinBy)

### addStringsOption

    public JavadocOptionFileOption<List<String>> addStringsOption(String option)

### addStringsOption

    public JavadocOptionFileOption<List<String>> addStringsOption(String option,
                                                                  String joinBy)

### addMultilineStringsOption

    public JavadocOptionFileOption<List<String>> addMultilineStringsOption(String option)

### addBooleanOption

    public JavadocOptionFileOption<Boolean> addBooleanOption(String option)

### addBooleanOption

    public JavadocOptionFileOption<Boolean> addBooleanOption(String option,
                                                             boolean value)

### addFileOption

    public JavadocOptionFileOption<File> addFileOption(String option)

### addFileOption

    public JavadocOptionFileOption<File> addFileOption(String option,
                                                       File value)

### write

    public void write(File optionFile)
               throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD